Extending Qt Creator Manual | WizardDialogParameters

Extending Qt Creator Manual 4.5.2

# WizardDialogParameters Class

(Core::WizardDialogParameters)

- List of all members, including inherited members

## Public Types

enum | DialogParameterEnum { ForceCapitalLetterForFileName }
flags | DialogParameterFlags
typedef | WizardPageList

## Public Functions

| WizardDialogParameters(const QString &defaultPath, Id platform, const QSet<Id> &requiredFeatures, DialogParameterFlags flags, const QVariantMap &extraValues)
QString | defaultPath() const
QVariantMap | extraValues() const
DialogParameterFlags | flags() const
QSet<Id> | requiredFeatures() const
Id | selectedPlatform() const

## Member Type Documentation

### enum WizardDialogParameters::DialogParameterEnum
flags WizardDialogParameters::DialogParameterFlags

The DialogParameterFlags type is a typedef for QFlags<DialogParameterEnum>. It stores an OR combination of DialogParameterEnum values.

### typedef WizardDialogParameters::WizardPageList

## Member Function Documentation

### WizardDialogParameters::WizardDialogParameters(const QString &defaultPath, Id platform, const QSet<Id> &requiredFeatures, DialogParameterFlags flags, const QVariantMap &extraValues)

Default constructs an instance of WizardDialogParameters.

### QString WizardDialogParameters::defaultPath() const

### QVariantMap WizardDialogParameters::extraValues() const

### DialogParameterFlags WizardDialogParameters::flags() const

### QSet<Id> WizardDialogParameters::requiredFeatures() const

### Id WizardDialogParameters::selectedPlatform() const